---
updatedAt: 2025-11-13T23:24:35.000Z
agentTools:
  projectIndex: https://docs.coinme.com/llms.txt
---

# Get Crypto Asset Balance

Return the list of all crypto assets and balances of Partner’s customer with estimated (point in time) value in the requested currency

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "post-authorization",
    "version": "1.2"
  },
  "servers": [
    {
      "url": "https://caas-staging.coinme.com/services"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "x-api-key"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/cryptoassetbalance": {
      "get": {
        "summary": "Get Crypto Asset Balance",
        "description": "Return the list of all crypto assets and balances of Partner’s customer with estimated (point in time) value in the requested currency",
        "operationId": "get-crypto-asset-balance",
        "parameters": [
          {
            "name": "Authorization",
            "in": "header",
            "description": "Bearer token {authorize} endpoint",
            "required": true,
            "schema": {
              "type": "string",
              "default": "Bearer ******"
            }
          },
          {
            "name": "User-Agent",
            "in": "header",
            "description": "Partner User Agent ID (provided by Coinme)",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "customerId",
            "schema": {
              "type": "string"
            },
            "description": "Unique customer identifier",
            "required": true
          },
          {
            "in": "query",
            "name": "estimatedBalanceCurrencyCode",
            "schema": {
              "type": "string",
              "default": "USD"
            },
            "description": "Currency code of the balance (i.e. USD)",
            "required": true
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {}
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"data\": \n  {\n    \"cryptoAssetsBalance\": [\n        {\n            \"balance\": \"500\",\n            \"currencyName\": \"Dogecoin\",\n            \"currencySymbol\": \"DOGE\",\n            \"updatedAt\": \"2021-12-15T14:11:41.479362Z\",// UTC\n            \"estimatedBalanceValue\": \"65.40\"\n        },\n        {\n            \"balance\": \"0.07\",\n            \"currencyName\": \"Bitcoin\",\n            \"currencySymbol\": \"BTC\",\n            \"updatedAt\": \"2021-12-15T13:38:45.930845Z\",//UTC\n            \"estimatedBalanceValue\": \"2657.95\"\n        }\n       \n      ]\n  },\n  \"errorResponse\": null\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "type": "object",
                      "properties": {
                        "cryptoAssetsBalance": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "balance": {
                                "type": "string",
                                "example": "500"
                              },
                              "currencyName": {
                                "type": "string",
                                "example": "Dogecoin"
                              },
                              "currencySymbol": {
                                "type": "string",
                                "example": "DOGE"
                              },
                              "updatedAt": {
                                "type": "string",
                                "example": "2021-12-15T14:11:41.479362Z"
                              },
                              "estimatedBalanceValue": {
                                "type": "string",
                                "example": "65.40"
                              }
                            }
                          }
                        }
                      }
                    },
                    "errorResponse": {}
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"data\": null,\n  \"errorResponse\": {\n    \"httpStatus\":\"200\",\n    \"timestamp\":\"2022-02-01T18:59:28.297Z\",//UTC\n    \"path\":\"/services/cryptoassetbalance GET\",\n    \"errorData\": [\n      {\n        \"errorCode\":\"123-123-123-123\",//The error code is just a sample showing the structure of the error code.\n        \"message\":\"Customer Id not found\"\n      }\n    ]\n  }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {},
                    "errorResponse": {
                      "type": "object",
                      "properties": {
                        "httpStatus": {
                          "type": "string",
                          "example": "200"
                        },
                        "timestamp": {
                          "type": "string",
                          "example": "2022-02-01T18:59:28.297Z"
                        },
                        "path": {
                          "type": "string",
                          "example": "/services/cryptoassetbalance GET"
                        },
                        "errorData": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "errorCode": {
                                "type": "string",
                                "example": "123-123-123-123"
                              },
                              "message": {
                                "type": "string",
                                "example": "Customer Id not found"
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "401",
            "content": {
              "text/plain": {
                "examples": {
                  "Result": {
                    "value": ""
                  }
                }
              }
            }
          },
          "500": {
            "description": "500",
            "content": {
              "text/plain": {
                "examples": {
                  "Result": {
                    "value": ""
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": []
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```